Results 1 to 10 of 10

Thread: KDE 4.3 Konqueror problem

  1. #1
    Join Date
    Jul 2008
    Location
    Maidenhead, England
    Posts
    10

    Default KDE 4.3 Konqueror problem

    I have upgraded my OpenSuSE 11.1 installation from KDE 4.1 to 4.2 to 4.3. I now have a problem when opening Konqueror in KDE 4.3 and see the following error messages:

    There was an error loading the module Dolphin View. The diagnostics is: The shared library was not found.

    The same error dialog also appears for the following items:
    File Size View
    kdesvnpart
    KFileReplace
    Cervisia/KDE3
    kdesvn/KDE3

    After all these messages pop up the system launces a Dolphin window.

    Can anyone help?

  2. #2
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,729
    Blog Entries
    20

    Default Re: KDE 4.3 Konqueror problem

    Do you want to post the result of this:

    Code:
    zypper lr -d
    Do you have kde3 installed also?
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  3. #3
    Join Date
    Jul 2008
    Location
    Maidenhead, England
    Posts
    10

    Default Re: KDE 4.3 Konqueror problem

    As requested:

    # | Alias | Name | Enabled | Refresh | Priority | Type | URI | Service
    ---+-------------------------------+-------------------------------+---------+---------+----------+--------+----------------------------------------------------------------------------------------------------+--------
    1 | KDE4.3_Factory_(Desktop) | KDE4.3 Factory (Desktop) | Yes | Yes | 99 | rpm-md | Index of /repositories/KDE:/KDE4:/Factory:/Desktop/openSUSE_11.1 |
    2 | KDE_4.2_Community | KDE 4.2 Community | No | No | 99 | rpm-md | Index of /repositories/KDE:/KDE4:/Community/openSUSE_11.1_KDE_42 |
    3 | KDE_4.2_Desktop | KDE 4.2 Desktop | No | No | 99 | rpm-md | Index of /repositories/KDE:/42/openSUSE_11.1 |
    4 | KDE_4.3_Factory_(Community) | KDE 4.3 Factory (Community) | Yes | Yes | 99 | rpm-md | Index of /repositories/KDE:/KDE4:/Community/openSUSE_11.1_KDE4_Factory_Desktop |
    5 | Mozilla | Mozilla | Yes | Yes | 99 | rpm-md | Index of /repositories/mozilla/openSUSE_11.1 |
    6 | OpenSuSE_Java | OpenSuSE Java | Yes | Yes | 99 | rpm-md | Index of /repositories/GNOME:/Factory/openSUSE_11.1 |
    7 | Packman | Packman | No | No | 99 | rpm-md | Index of /packman/suse/11.1 |
    8 | VideoLan | VideoLan | No | No | 99 | rpm-md | Index of /pub/vlc/SuSE/11.1/ |
    9 | google | google | No | No | 99 | rpm-md | http://dl.google.com/linux/rpm/stable/i386 |
    10 | openSUSE 11.1-0 | openSUSE 11.1-0 | No | No | 99 | yast2 | cd:///?devices=/dev/sr0 |
    11 | openSUSE-NonOSS-Add-on_11.1-0 | openSUSE-NonOSS-Add-on 11.1-0 | No | No | 99 | yast2 | dvd:/// |
    12 | repo-debug | openSUSE-11.1-Debug | No | Yes | 100 | NONE | Index of /debug/distribution/11.1/repo/oss |
    13 | repo-non-oss | openSUSE-11.1-Non-Oss | Yes | Yes | 120 | yast2 | Index of /distribution/11.1/repo/non-oss |
    14 | repo-oss | openSUSE-11.1-Oss | Yes | Yes | 120 | yast2 | Index of /distribution/11.1/repo/oss |
    15 | repo-source | openSUSE-11.1-Source | No | Yes | 100 | yast2 | Index of /source/distribution/11.1/repo/oss |
    16 | repo-update | openSUSE-11.1-Update | Yes | Yes | 20 | rpm-md | Index of /update/11.1 |
    [/SIZE]

  4. #4
    Join Date
    Sep 2009
    Location
    Khaulifownya
    Posts
    23

    Default Re: KDE 4.3 Konqueror problem

    bergerc, I may be a long way from relevancy here, but by any chance is something other than Konqueror assigned to inode > directory & mount point under file associations?
    "It takes two hands to make one handshake" - Dan Kelly

  5. #5

    Default Re: KDE 4.3 Konqueror problem

    I don't remember if i am right but doesn't your update repo have too high priority (20) ? You should set all of them to equal priority so that application with higher version numer will get installed
    How does a linux geek make love??

    - rtfm; unzip; strip; touch; finger; mount; fsck; more; yes; umount; zip; sleep;

  6. #6
    Join Date
    Jul 2008
    Location
    Maidenhead, England
    Posts
    10

    Default Re: KDE 4.3 Konqueror problem

    Quote Originally Posted by TeaSwigger View Post
    bergerc, I may be a long way from relevancy here, but by any chance is something other than Konqueror assigned to inode > directory & mount point under file associations?
    Not sure I understand what you mean or how to find out what you ask. Can you elaborate?

  7. #7

    Default Re: KDE 4.3 Konqueror problem

    I'm getting a very similar error with KDE 4.1 from openSUSE 11.1.

    The error I get is:
    "There was an error loading the module kdesvn/KDE3".

    I even deleted the package kdesvn and the error persists.

    I suspect that it is caused by a recent update - but which one?

    zypper lr -d

    produces

    # | Alias | Name | Enabled | Refresh | Priority | Type | URI | Service
    ---+-------------------------+-------------------------+---------+---------+----------+----------+---------------------------------------------------------------------------------------+--------
    1 | 20091012-175116 | 20091012-175116 | Yes | Yes | 99 | rpm-md | Index of /repositories/GNOME:/Backports:/2.28/openSUSE_11.1 |
    2 | 20091012-233453 | 20091012-233453 | Yes | Yes | 99 | rpm-md | Index of /repositories/Virtualization:/VirtualBox/openSUSE_11.1 |
    3 | GNOME:Backports:2.26 | GNOME:Backports:2.26 | Yes | Yes | 99 | rpm-md | Index of /repositories/GNOME:/Backports:/2.26/openSUSE_11.1 |
    4 | GNOME:Factory | GNOME:Factory | Yes | Yes | 99 | rpm-md | Index of /repositories/GNOME:/Factory/openSUSE_11.1 |
    5 | GNOME:STABLE:2.26 | GNOME:STABLE:2.26 | Yes | Yes | 99 | rpm-md | Index of /repositories/GNOME:/STABLE:/2.26/openSUSE_11.1 |
    6 | OpenOffice | OpenOffice | Yes | Yes | 99 | plaindir | dir:///usr/local/src/Downloads/2009/OpenOffice/OOO310_m19_native_packed-2_en-US.9420/ |
    7 | Packman | Packman | Yes | Yes | 99 | rpm-md | Index of /suse/11.1 |
    8 | devel:languages:haskell | devel:languages:haskell | Yes | Yes | 99 | rpm-md | Index of /repositories/devel:/languages:/haskell/openSUSE_11.1 |
    9 | devel:tools:scm | devel:tools:scm | Yes | Yes | 99 | rpm-md | Index of /repositories/devel:/tools:/scm/openSUSE_11.1 |
    10 | nVidia | nVidia | Yes | Yes | 99 | rpm-md | http://download.nvidia.com/opensuse/11.1 |
    11 | openSUSE 11.1-0 | openSUSE 11.1-0 | Yes | No | 99 | yast2 | cd:///?devices=/dev/sr0 |
    12 | openSUSE-11.1-Updates | openSUSE-11.1-Updates | Yes | Yes | 99 | rpm-md | Index of /update/11.1 |
    13 | openSUSE:11.1:Update | openSUSE:11.1:Update | Yes | Yes | 99 | rpm-md | Index of /update/11.1 |
    14 | repo-debug | openSUSE-11.1-Debug | No | Yes | 100 | NONE | Index of /debug/distribution/11.1/repo/oss |
    15 | repo-non-oss | openSUSE-11.1-Non-Oss | Yes | Yes | 100 | yast2 | Index of /distribution/11.1/repo/non-oss |
    16 | repo-oss | openSUSE-11.1-Oss | Yes | Yes | 100 | yast2 | Index of /distribution/11.1/repo/oss |
    17 | repo-source | openSUSE-11.1-Source | No | Yes | 100 | yast2 | Index of /source/distribution/11.1/repo/oss |

  8. #8
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,729
    Blog Entries
    20

    Default Re: KDE 4.3 Konqueror problem

    @djmills
    You need to decide what repo you want to use from gnome!

    In fact, why not just remove them all. It's wonder you even have any resemblence of an OS.
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  9. #9

    Default Re: KDE 4.3 Konqueror problem

    I remove 2 of the 3 GNOME repos. Then downgraded any product whose version showed in red on the Yast2 Software update window.

    Still appears.

    Interestingly, I created a fresh user, logged in, started konqueror and it worked without the error messsage pop-up appearing. So there must be some config file that I could change to fix this problem.

  10. #10
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,729
    Blog Entries
    20

    Default Re: KDE 4.3 Konqueror problem

    In your /home directory there are 2 folders (.kde and .kde4)
    You can rename them to old Eg: .kde_old

    This will start completely clean and New kde sessions. Start with doing just the .kde4 folder

    You need to do it out of X. So at the login choose a console login and do this;

    mv /home/username*/.kde4 .kde4_old

    (replace username* with your user name)

    All your settings will be in the _old folder, only import back what you really need.
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •